package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PurchaseListDTO {

    @ApiModelProperty(value="(采购清单ID)")
    private String purchaseListId;

    @ApiModelProperty(value="(采购量)")
    private Integer purchaseQuantity;

    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    @ApiModelProperty(value="(供应商ID)")
    private String supplierId;

    @ApiModelProperty(value="(采购清单明细ID)")
    private String id;
}
