package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
@Data
public class StandardReserveSolutionDTO {

    @ApiModelProperty(value = "(定容体积（mL）)")
    private Double constantVolume;

    @ApiModelProperty(value = "(配置浓度(mg/mL))")
    private String  configurationConcentration;

    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    @ApiModelProperty(value="(标准物质称取量)")
    private Double  referenceMaterialScale;

    @ApiModelProperty(value="(备注)")
    private String remarks;

    @ApiModelProperty(value="(溶液名称)")
    private String solutionName;

    @ApiModelProperty(value="(使用溶剂)")
    private String useOfSolvent;

    @ApiModelProperty(value="(有效期限)")
    private Integer validityPeriod;
}
