package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "acceptance_sign_for", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(验收中间表)")
public class AcceptanceSignFor extends BaseEntity {

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "验收种数")
    private Integer quantity;

    @ApiModelProperty(value = "签收记录表ID")
    private String warehousingRecordFormId;

    @ApiModelProperty(value = "状态 0 未开始签收 1 进行中 2 已完成 ")
    private Integer  status;
}
