package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-29 11:44:50
 * @describe  实体类
 */
@Data
@TableName(value = "category_table", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class CategoryTable extends BaseEntity {

    /**
     * 类别
     */
    @ApiModelProperty(value="类别")
    private String category;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;

    /**
     * 种类
     */
    @ApiModelProperty(value="种类")
    private String species;


}
