package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.RequisitionRecord;
import digital.laboratory.platform.reagent.vo.RequisitionRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (试剂耗材领用记录表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材领用记录表) Mapper 类
 */
@Mapper
public interface RequisitionRecordMapper extends BaseMapper<RequisitionRecord> {

    IPage<RequisitionRecordVO> getRequisitionRecordVOPage (IPage<RequisitionRecord> page, @Param(Constants.WRAPPER) QueryWrapper<RequisitionRecord> qw);

    RequisitionRecordVO getRequisitionRecordVO (String  id);

}
