package digital.laboratory.platform.reagent.vo;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import digital.laboratory.platform.reagent.entity.PurchaseListDetails;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PurchaseListDetailsVO extends PurchaseListDetails {

    @ApiModelProperty(value="品牌")
    private String brand;

    @ApiModelProperty(value="规格型号")
    private String specificationAndModel;

    @ApiModelProperty(value="试剂耗材名称")
    private String reagentConsumableName;

    @ApiModelProperty(value="供应商名称")
    private String supplierName;

    @ApiModelProperty(value="类别")
    private String category;

}
