package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.reagent.entity.DecentralizeDetails;
import digital.laboratory.platform.reagent.vo.DecentralizeDetailsVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 分散采购申请明细 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 分散采购申请明细 Mapper 类
 */
@Mapper
public interface DecentralizeDetailsMapper extends BaseMapper<DecentralizeDetails> {

    List<DecentralizeDetails> getDecentralizeDetailsList(String id);
}
