package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.ReagentConsumableStash;
import digital.laboratory.platform.reagent.mapper.ReagentConsumableStashMapper;
import digital.laboratory.platform.reagent.service.ReagentConsumableStashService;
import org.springframework.stereotype.Service;

@Service
public class ReagentConsumableStashImpl extends ServiceImpl<ReagentConsumableStashMapper, ReagentConsumableStash> implements ReagentConsumableStashService {

    @Override
    public IPage<ReagentConsumableStash> getReagentConsumableStashPage(Page page, QueryWrapper<ReagentConsumableStash> qw) {

        return baseMapper.getReagentConsumableStashPage(page, qw);
    }
}
